#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 stm-containers
version:              1.2.0.1
visibility:           public
id:                   stm-containers-1.2.0.1-Dp6yNzwhdHRAffDfHKxdLU
key:                  stm-containers-1.2.0.1-Dp6yNzwhdHRAffDfHKxdLU
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/stm-containers
synopsis:             Containers for STM
description:
    This library is based on an STM-specialized implementation of
    Hash Array Mapped Trie.
    It provides efficient implementations of @Map@, @Set@
    and other data structures,
    which starting from version @1@ perform even better than their counterparts from \"unordered-containers\",
    but also scale well on concurrent access patterns.
    .
    For details on performance of the library, which are a bit outdated, see
    <http://nikita-volkov.github.io/stm-containers/ this blog post>.

category:             Data Structures, STM, Concurrency
abi:                  ca9b7d8b9e459dc7f03ede3653505367
exposed:              True
exposed-modules:
    StmContainers.Bimap StmContainers.Map StmContainers.Multimap
    StmContainers.Set

hidden-modules:       StmContainers.Prelude
import-dirs:          /usr/lib/ghc-9.0.2/site-local/stm-containers-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/stm-containers-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-stm-containers
hs-libraries:         HSstm-containers-1.2.0.1-Dp6yNzwhdHRAffDfHKxdLU
depends:
    base-4.15.1.0 deferred-folds-0.9.18.3-1Pet86K8qiYHXnIvbGTU2g
    focus-1.0.3.1-310jKOFjpjx4fen2frbogp
    hashable-1.4.2.0-8EyZ5q0qf6V2oPuIX4Sz4t
    list-t-1.0.5.4-5lzyviCNlVD5JbiGbPfASo
    stm-hamt-1.2.0.11-rv6CJ4v3Lu6NFJ6eP68ze transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-stm-containers/html/stm-containers.haddock

haddock-html:         /usr/share/doc/haskell-stm-containers/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

